Mandrake Linux Security Advisory : chbg (MDKSA-2005:027)

Critical Nessus Plugin ID 16293


The remote Mandrake Linux host is missing a security update.


A vulnerability in chbg was discovered by Danny Lungstrom. A maliciously-crafted configuration/scenario file could overflow a buffer leading to the potential execution of arbitrary code.

The updated packages are patched to prevent the problem.


Update the affected chbg package.

Plugin Details

Severity: Critical

ID: 16293

File Name: mandrake_MDKSA-2005-027.nasl

Version: $Revision: 1.15 $

Type: local

Published: 2005/02/02

Modified: 2013/05/31

Dependencies: 12634

Risk Information

Risk Factor: Critical


Base Score: 10

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:chbg, cpe:/o:mandrakesoft:mandrake_linux:10.0, cpe:/o:mandrakesoft:mandrake_linux:10.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Patch Publication Date: 2005/02/01

Reference Information

CVE: CVE-2004-1264

MDKSA: 2005:027